# Copyright (C) 2024, Hopsworks AB. All rights reserved
# !/usr/bin/env python
# -*- coding: utf-8 -*-
import ray
import os
import requests
import time

ray.init()

@ray.remote
class Counter:
    def __init__(self):
        # Used to verify runtimeEnv
        self.name = os.getenv("counter_name")
        assert self.name == "test_counter"
        self.counter = 0

    def inc(self):
        self.counter += 1

    def get_counter(self):
        return "{} got {}".format(self.name, self.counter)

counter = Counter.remote()

i = 10
while i > 0:
    i -= 1
    print("Hello World! " + str(i))
    time.sleep(1)

for _ in range(5):
    ray.get(counter.inc.remote())
    print(ray.get(counter.get_counter.remote()))

# Verify that the correct runtime env was used for the job.
assert requests.__version__ == "2.26.0"